Datacatalog API, REST: Catalog.GetCatalog
Returns the specified catalog.
HTTP request
GET https://datacatalog.api.yandexcloud.kz/v1/catalog/{catalogId}
Path parameters
Request message for getting a catalog.
|
Field |
Description |
|
catalogId |
string Required field. ID of the catalog to return. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"createdBy": "string",
"aiMarkupRules": {
"aiEnabled": "boolean",
"documentationRules": "string",
"domainRules": "string",
"termsRules": "string",
"tagsRules": "string"
},
"autoIngestionParams": {
"serviceAccountId": "string"
},
"createdAt": "string",
"updatedAt": "string"
}
|
Field |
Description |
|
id |
string Catalog identifier |
|
folderId |
string Folder identifier |
|
name |
string Catalog name |
|
description |
string Catalog description |
|
labels |
object (map<string, string>) Catalog labels |
|
createdBy |
string Id of subject who created the catalog |
|
aiMarkupRules |
AI markup enabled flag |
|
autoIngestionParams |
Configuration for auto ingestion feature |
|
createdAt |
string (date-time) Date of catalog creation String in RFC3339 To work with values in this field, use the APIs described in the |
|
updatedAt |
string (date-time) Date of catalog last update String in RFC3339 To work with values in this field, use the APIs described in the |
CatalogAIMarkupRules
|
Field |
Description |
|
aiEnabled |
boolean If set to true, AI marking up of catalog entities will be enabled |
|
documentationRules |
string Rules for the AI agent, that will be used for assets mark up |
|
domainRules |
string Rules for the AI agent, that will be used for domains mark up |
|
termsRules |
string Rules for the AI agent, that will be used for terms mark up |
|
tagsRules |
string Rules for the AI agent, that will be used for tags mark up |
CatalogAutoIngestionConfig
|
Field |
Description |
|
serviceAccountId |
string ID of service account, which will be used for auto ingestion feature |